Page MenuHomePhabricator

Better support when pasting from clipboard
Closed, ResolvedPublic

Description

Currently pasting from clipboard convert contents in plain text which is good to avoid uncontrolled markup to get added to the translation (e.g., text with a style that you cannot manipulate later). However this has some limitations and we may want to tweak our approach:

  • Allow pasting content that was copied from inside Content Translation. That would allow users to move things around without losing information (e.g., misplaced references).
  • Allow pasting text with basic formatting that can be edited later such as bold, italics, and lists.
  • Allow pasting links to articles and automatically adapt them. Users should be able to paste content from either (a) the target wiki (where links don't require adaptation (b) from other wikis (where links will get adapted to the corresponding articles of the target wiki).

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedPginer-WMF
ResolvedPginer-WMF
ResolvedNone
ResolvedAmire80
InvalidNone
OpenAmire80
DeclinedNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
OpenNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
Resolvedsanthosh
Resolveddchan
Resolvedsanthosh
Resolvedsanthosh
ResolvedNikerabbit
Opensanthosh
Resolvedsanthosh
ResolvedPginer-WMF
OpenNone
ResolvedPginer-WMF
InvalidNone
ResolvedPetar.petkovic
Resolvedsanthosh
Resolvedsanthosh

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a project: ContentTranslation.
Pginer-WMF changed Security from none to None.
Pginer-WMF added a subscriber: Pginer-WMF.
Amire80 triaged this task as Medium priority.Dec 11 2014, 8:37 AM
Arrbee moved this task from Needs Triage to CX5 on the ContentTranslation board.Apr 10 2015, 9:52 AM

This was mentioned as an issue here.

Amire80 moved this task from CX5 to CX6 on the ContentTranslation board.Jul 2 2015, 4:34 PM

In this conversation, it is mentioned that it is impossible to move references around (since pasting them turns them into plain text).

Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 2:51 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 16 2015, 8:17 AM

@Pginer-WMF Can you assess what is missing in this ticket by checking CX2 master?

Pginer-WMF updated the task description. (Show Details)Mar 16 2018, 7:26 AM

@Pginer-WMF Can you assess what is missing in this ticket by checking CX2 master?

Most of it works in CX2., but the last point is missing. When pasting content with links, those links disappear. e want to keep links, and for those pointing to a page keep them or try to adapt them if possible.

Pginer-WMF closed this task as Resolved.Oct 29 2018, 3:26 PM
Pginer-WMF claimed this task.

Clipboard works mainly as expected with the integration of Visual Editor's editing surface. A follow-up ticket has been created to apply additional content adjustments to better adjust the pasted content to the target wiki: T208232: CX2: Apply adaptation to pasted content